Name:		arts++
Version:	1.1.a13
Release:	11.1
Group:		Development
Summary:	some simple applications for viewing and manipulating ARTS data
License:	unknown
Source0:	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	flex gcc-c++

%if 0%{?suse_version}
%define		_docroot /srv/www
%endif

%if 0%{?fedora_version} || 0%{?centos_version} || 0%{?rhel_version}
%define		_docroot /var/www
%endif

%description
ARTS is a binary file format specification for storing network data. 
Initial ly developed at ANS by David Bolen in 1992, ARTS was licensed to CAIDA in March of 1998.

CAIDA has developed a C++ class library for ARTS. This work is separate from the software licensed from ANS.
The C++ class library is used by the CAIDA packages cflowd and skitter. In addition to the class library, 
CAIDA distributes some simple applications for viewing and manipulating ARTS data. The entire package is called arts++.

%package devel
Group:		Development
Summary:	libs and includes
Requires:	%{name} = %{version}

%description devel
This package contains the header files and development libraries of ARTS

 
%prep
%setup
%patch0 -p1

%configure --enable-shared=yes

%build
%__make

%install
export DESTDIR=%{buildroot}
export HTDOCDIR=%{_docroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/manl
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_docroot}
%__make DESTDIR=%{buildroot} HTDOCDIR=%{_docroot} install
rm -rf %{buildroot}%{_docroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc ChangeLog INSTALL WishList
%{_bindir}/arts*
%{_libdir}/*.so*
%{_mandir}/manl

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*.h*

%changelog
* Sat Aug 30 2008 Carsten Schoene <cs@linux-administrator.com>
- initial build
